<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Ticket Details</title>

    <style>
        @page {
            size: A4;
            margin: 0;
            padding: 0;
        }

        html, body {
            size: A4;
            width: 210mm;
            height: 297mm;
            margin: 0;
            padding: 0;
            font-size: 13px;
            -webkit-print-color-adjust: exact;
        }

        h3, p {
            word-break: break-word;
        }

        h3 {
            font-size: 17px;
        }

        table {
            page-break-inside: auto;
        }

        tr {
            page-break-inside: avoid;
            page-break-after: auto;
        }

        th {
            text-align: left;
            padding-top: 15mm;
        }

        .page {
            margin: 15mm;
            width: 180mm;
        }


        .m-0 {
            margin: 0;
        }

        .p-0 {
            padding: 0;
        }

        .pr-10 {
            padding-right: 10px;
        }

        .pl-10 {
            padding-left: 10px;
        }

        .text-bold {
            font-weight: bold;
        }

        .text-small {
            font-size: 11px;
            margin: 0;
        }

        .right {
            text-align: right;
        }


        .header {
            height: 50mm;
        }

        #logo {
            margin-top: 15mm;
            width: 40%;
            max-height: 50mm;
            float: right;
        }

        .address-provider-container {
            padding-top: 15mm;
        }

        .invoice-summary-container {
            padding-top: 1mm;
            padding-bottom: 3mm;
        }

        .invoice-summary-header {
            text-align: center;
            margin-bottom: 3mm;
        }

        .invoice-table {
            margin-top: -15mm;
            border-collapse: collapse;
            width: 100%;
        }

        .invoice-table-head {
            font-weight: bold;
            border-bottom: 1px solid black;
        }

        .invoice-table-row {
            padding: 1mm 0;
            border-bottom: 1px solid black;
        }

        .invoice-table > tbody > tr:last-child > .invoice-table-row {
            border: none;
            padding-bottom: 0;
        }
    </style>
</head>
<body class="page">
<div class="header">
    <img id="logo" src="{{ image('logo') }}" alt="logo">
    <div class="address-provider-container">
        <p class="m-0 text-bold">{{ provider_address.name }}</p>
        <p class="m-0">{{ provider_address.address1 }}</p>
        {% if provider_address.address2 %}
            <p class="m-0">{{ provider_address.address2 }}</p>
        {% endif %}
        <p class="m-0">{{ provider_address.zip_code }} {{ provider_address.city }}</p>
        <p class="m-0">{{ provider_address.country|country }}</p>
        <br/>
        
    </div>
</div>
<div>
    {% if customer.full_name() != customer_address.name %}
        <p class="m-0">{{ customer.full_name() }}</p>
    {% endif %}
    <p class="m-0">{{ customer_address.name }}</p>
    <p class="m-0">{{ customer_address.street }} {{ customer_address.street_number }}</p>
    <p class="m-0">{{ customer_address.zip_code }} {{ customer_address.city }}</p>
    <p class="m-0">{{ customer_address.country|country }}</p>
</div>
<div class="invoice-summary-container">
    <h3 class="invoice-summary-header">Einzelkostennachweis für die Rechnung vom {{ customer_invoice.created|date("DATE_FORMAT") }}</h3>
    <p class="m-0">Rechnungsnummer: {{ customer_invoice.number_series }}-{{ customer_invoice.number }}</p>
    <p class="m-0">Kundennummer: {{ customer.number }}</p>
    <p class="m-0">Abrechnungszeitraum: {{ customer_invoice.performance_start|date("DATE_FORMAT") }} - {{ customer_invoice.performance_end|date("DATE_FORMAT") }}</p>
</div>
<div>
    <table class="invoice-table">
        <thead class="invoice-table-head">
        <tr>
            <th style="width: 5%;">Nr.</th>
            <th style="width: 25%;">Garage</th>
            <th style="width: 20%;">Kostenstelle</th>
            <th style="width: 20%;">Erstellt am</th>
            <th style="width: 20%;">Verwendet am</th>
            <th style="width: 10%;">Freibetrag</th>
            <th class="right" style="width: 10%;">Kosten</th>
        </tr>
        </thead>
        <tbody>
        {% for ticket in qr_tickets %}
            <tr>
                <td class="invoice-table-row" nowrap="nowrap">
                    <span class="text-small pr-10">{{ ticket.seq_nr }}</span>
                </td>
                <td class="invoice-table-row">
                    <span class="text-small pr-10">{{ ticket.garage.name }}</span>
                </td>
                <td class="invoice-table-row">
                    <span class="text-small pr-10">{{ ticket.cost_center }}</span>
                </td>
                <td class="invoice-table-row" nowrap="nowrap">
                    <span class="text-small pr-10">{{ ticket.created|date("DATETIME_FORMAT") }}</span>
                </td>
                <td class="invoice-table-row" nowrap="nowrap">
                    <span class="text-small pr-10">{{ ticket.used|date("DATETIME_FORMAT") }}</span>
                </td>
                <td class="invoice-table-row right" nowrap="nowrap">
                    <span class="text-small">
                        {% if ticket.credit_type == "A" %}
                            {{ "%.2f"|format(ticket.amount / 100.0) }}
                        {% else %}
                            {{ ticket.amount }} min.
                        {% endif %}
                    </span>
                </td>
                <td class="invoice-table-row right" nowrap="nowrap">
                    <span class="text-small pl-10">{{ ticket.used_amount.amount|money(ticket.used_amount.currency) }}</span>
                </td>
            </tr>
        {% endfor %}
        </tbody>
        <tfoot>
        <tr>
            <td colspan="0" style="height: 15mm"></td>
        </tr>
        </tfoot>
    </table>
</div>
</body>
</html>
